package com.softgraf.model.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

import static com.softgraf.control.Sistema.*;

// Cria todas as tabelas do banco de dados, através de instruções SQL
public class TabelasFarmaciaDAO {
	private Connection conexao;
	private PreparedStatement pst;  // executor de comandos SQL
	private String sql;
	
	// construtor da classe
	public TabelasFarmaciaDAO(Connection conexao) {
		this.conexao = conexao;
	}
	
	public boolean criarTabelaCliente(){
		// prepara instruções sql (Mysql)
		sql = new StringBuilder()
				.append("CREATE TABLE IF NOT EXISTS farmacia.cliente (")
				.append("id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,")
				.append("tipo TINYINT(1) NOT NULL,")
				.append("nome VARCHAR(60) NOT NULL,")
				.append("cpf_cnpj VARCHAR(18),")
				.append("email VARCHAR(60),")
				.append("fone VARCHAR(14),")
				.append("cidade VARCHAR(30) NOT NULL,")
				.append("estado VARCHAR(18) NOT NULL,")
				.append("rua VARCHAR(30),")
				.append("bairro VARCHAR(30),")
				.append("CEP CHAR(9)")
				.append(");")
				.toString();
		try {
			pst = conexao.prepareStatement(sql);
			pst.executeUpdate();
			pst.close();
			
		} catch (SQLException e) {
			dlgErro.setHeaderText("Erro ao criar tabela farmacia.cliente");
			dlgErro.setContentText(e.getMessage());
			dlgErro.showAndWait();
			return false;
		}
		
		return true;
	}
}
